Bug 1321051 - Rebase to newer verion of libpfm
Summary: Rebase to newer verion of libpfm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libpfm
Version: 7.3
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: William Cohen
QA Contact: Michael Petlan
Tomas Capek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-24 14:36 UTC by William Cohen
Modified: 2016-11-04 05:18 UTC (History)
5 users (show)

Fixed In Version: libpfm-4.7.0-1.el7.
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_libpfm_ rebased to version 4.7.0 The _libpfm_ package has been upgraded to version 4.7.0. This version provides support for the following 32-bit AMD and Intel architectures: * Intel Skylake core PMU * Intel Haswell-EP uncore PMUs * Intel Broadwell-DE * Intel Broadwell (desktop core) * Intel Haswell-EP (core) * Intel Haswell-EP (core) * Intel Ivy Bridge-EP uncore PMUs (all boxes) * Intel Silvermont core PMU * Intel RAPL events support * Intel SNB, IVB, HSW event table updates * Major update on Intel event tables * AMD Fam15h Northbridge PMU
Clone Of:
Environment:
Last Closed: 2016-11-04 05:18:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2395 normal SHIPPED_LIVE libpfm and papi bug fix and enhancement update 2016-11-03 13:54:52 UTC

Description William Cohen 2016-03-24 14:36:39 UTC
Description of problem:  RHEL 7 currently has libpfm-4.4 with backported patches to support some additional processors.  libpfm-4.7  was released in February and adds support for a number of newer processor implementations (http://perfmon2.sourceforge.net/)

Expected results:  Include support for a number of additional processors with the libpfm rebase such as Intel Broadwell-DE and Intel Skylake.

Comment 1 William Cohen 2016-05-12 17:18:12 UTC
Rebased to libpfm-4.7.0

Comment 5 Michael Petlan 2016-09-21 12:37:09 UTC
Well, for now I think the coverage is reasonable, thus we may move this bug further I guess.

Tests ran on the following environments:

x86_64:    BDX, NHM, NHM-EP, NHM-EX, WST, WST-EP, WST-EX, AMD16, AMD21, KNL, BDW-EP, KBL-UY, SNB, IVB, IVB-EP, SNB-EP, HSW60, HSW69, BDW-U, Avoton

ppc64:     POWER7, POWER8_LPAR, POWER8_KVM, POWER7+
ppc64le:   POWER8_LPAR, POWER8_KVM

aarch64:   Cortex A57, Mustang X-Gene

Current version of libpfm does not seem to cause any troubles in the dependent software.

VERIFIED

Comment 6 Michael Petlan 2016-09-21 12:45:40 UTC
The features described in docs:

* Intel Skylake core PMU                  :: OK
* Intel Haswell-EP uncore PMUs            :: OK
* Intel Broadwell-DE                      :: OK
* Intel Broadwell (desktop core)          :: OK
* Intel Haswell-EP (core)                 :: OK
* Intel ivyBridge-EP uncore PMUs          :: OK
* Intel Silvermont core PMU               :: OK
* Intel RAPL events support               :: OK
* Intel SNB, IVB, HSW event table updates :: untested
* Major update on Intel event tables      :: untested
* AMD Fam15h Northbridge PMU              :: OK

Comment 8 errata-xmlrpc 2016-11-04 05:18:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2395.html


Note You need to log in before you can comment on or make changes to this bug.